# How to Apply Column-Level Schema Transformations

### Locate the attribute to update

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/9d556846-2f13-4943-922e-4c21b4aeca6a/ascreenshot.jpeg?tl_px=0,137\&br_px=1376,906\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=409,276)

### Add a schema consolidation search value

You may need to horizontally scroll in the editable grid.

For the JSON Tutorial, use:

```
Y|Cre|Shipment
```

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/4ebf8b1d-b5f3-4c67-b4e8-77090fd2f2e8/ascreenshot.jpeg?tl_px=164,126\&br_px=1541,895\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=538,277)

### Add a schema consolidation SQL expression

For the JSON tutorial, use:&#x20;

```
CONCAT('|',REGEXP_SUBSTR(OBJECT_KEYS(VARIANT_COL)::STRING, 'Y\|Cre\|Shipment\|(\d+)', 1, 1, 'e', 1))
```

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/8b3c27bd-61da-4eb0-a365-b4fd220c0203/ascreenshot.jpeg?tl_px=164,56\&br_px=1541,825\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=917,277)

### Add more schema consolidation search and expression values

For the JSON tutorial, apply the same values as above to the `Y|Cre|Shipment.shipment_status` attribute.

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/ed2ffdca-9644-4fc9-9f47-86fa497ee1c0/ascreenshot.jpeg?tl_px=164,73\&br_px=1541,842\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=624,277)

### Click save to apply changes

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/d9e2edeb-fbc9-493f-b522-d2d9dd1eaeea/ascreenshot.jpeg?tl_px=0,187\&br_px=1376,957\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=293,491)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datapancake.com/guides/how-to-guides-ui/pipeline-designer/how-to-apply-column-level-schema-transformations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
